function close8PortRelay
% Use this function to close and clear the communication between the 8 port
% relay card and the computer

% Copyright 2007-2011 
% CC-GNU GPL by attribution 
% Please cite the BioPsychology Toolbox where this function is used. 
%       http://biopsytoolbox.sourceforge.net/
% 
% See also:  init8PortRelay, bIO

% VERSION HISTORY:
% Author:         Tobias Otto
% Version:        0.2
% Last Change:    14.07.2011

% 28.02.2011, Tobias: first draft
% 14.07.2011, Tobias: cleaning available bytes fom ralais card

%% Init variables
global SERIAL8PORT

%% Clean bytes available buffer
while(SERIAL8PORT.s.BytesAvailable ~= 0)
    fread(SERIAL8PORT.s, SERIAL8PORT.s.BytesAvailable,'uint8');
end

%% Close device
if(SERIAL8PORT.initDone == 1)
    disp('Deleting 8 port relay card context ...');
    fclose(SERIAL8PORT.s);
    delete(SERIAL8PORT.s);
    SERIAL8PORT.initDone = 0;
    disp(' done');
else
    disp('Nothing to do. Please init 8 port relay card first');
end

