function closeNetworkIO
% Use this function to close the network connection to the network IO
% device

% Copyright 2007-2015
% CC-GNU GPL by attribution
% Please cite the BioPsychology Toolbox where this function is used.
%       http://biopsytoolbox.sourceforge.net/
%
% See also:  bIO, initNetworkIO

% VERSION HISTORY:
% Tobias Otto
% 1.1
% 22.07.2015

% 05.06.2015, Tobias: first draft
% 22.07.2016, Tobias: removed option to shutdown server and cosmetics

%% Init variables
global SETUP

%% Get status of connection
status = pnet(SETUP.networkDIO.obj,'status');
if(status > 0)
    [ip,port]   = pnet(SETUP.networkDIO.obj,'gethost');
    fprintf('Connected to: %d.%d.%d.%d:%d\n', ip(1), ip(2), ip(3), ip(4), port);
elseif(status == 0)
    disp('Peer has disconnect!')
end

%% Close the pnet udp connection
SETUP.networkDIO.initDone = 0;
pnet('closeall')
disp('Connection closed!');
