function closeNetworkIO
% Use this function to close the network connection to the network IO
% device

% Copyright 2007-2016
% CC-GNU GPL by attribution
% Please cite the BioPsychology Toolbox where this function is used.
%       http://biopsytoolbox.sourceforge.net/
%
% See also:  bIO, initNetworkIO

% VERSION HISTORY:
% Tobias Otto
% 1.0
% 24.10.2015

% 24.10.2015, Tobias: first draft

%% Init variables
global SETUP

%% Get status of connection
if(strcmpi(SETUP.networkDIO.obj.Status, 'open'))
    fprintf('Connected to: %s:%d\n', SETUP.networkDIO.obj.RemoteHost, SETUP.networkDIO.obj.RemotePort);
else
    disp('Peer has disconnect!')
end

%% Close the pnet udp connection
% Close connection
fclose(SETUP.networkDIO.obj);
% Delete connection
delete(SETUP.networkDIO.obj);

% Clean up and user info
SETUP.networkDIO.initDone = 0;
disp('Connection closed!');
