function rebootRaspberry(host)
% This is a helper function that reboots the Raspberry without a valid 
% connection in MATLAB or Octave.
% This function calls plink.exe an external program from the PuTTY MSI 
% installer distribution.
% See http://www.chiark.greenend.org.uk/~sgtatham/putty/ for more details!

% Tobias Otto
% 1.0
% 18.05.2018
%
% 18.05.2018, Tobias: first draft

%% Init variables
global SETUP

disp('Rebooting your Raspberry the hard way ...');
% Force reboot by connectin via SSH
cmd = sprintf('%s\\Network\\ControlComputer\\plink.exe -ssh pi@%s -pw raspberry sudo reboot', ...
    SETUP.toolboxPath, host);
try
    system(cmd);
    WaitSecs(0.5);
    disp(' ... done!');
end
