function startTime = initMRIChatPart2(mmap, scans2Wait)
% Init MRI functions part 2
% Includes waiting for the first trigger
% Needs handle to memory mapped file and number of scans to wait as input
% arguments.
%
% Usage: startTime = initMRIChatPart2(mmap, scans2Wait)

% Tobias Otto
% 1.2
% 24.02.2021

% 29.05.2019, Tobias: first draft based on MRTChatPart1
% 19.10.2020, Tobias: moved global struct globalAnswer to SETUP
% 24.02.2021, Tobias: return start time as optional output

%% Init variables
global SETUP

%% Wait for triggers
if(SETUP.MRI.saveTrigger == 1)
    showText('Please start MRI - waiting for triggers');
    SETUP.MRI.ScanBeforeWait = mmap.Data(1);
    SETUP.MRI.beforeLoop     = GetSecs;
    waitScan                    = mmap.Data(1) + scans2Wait;
    tmp                         = mmap.Data(1) + 1;
    % Wait !!!
    while(waitScan > mmap.Data(1))
        if(tmp == mmap.Data(1))
            tmp = 99;
            showStimuli;
        end
    end
else
    showText('Demo or programming mode!');
    WaitSecs(1);
    showStimuli;
end

%% Save and return
startTime           = GetSecs;      % Time where iti occurs
SETUP.MRI.startTime	= GetSecs;      % Time where iti occurs
SETUP.MRI.startMRT 	= mmap.Data(1);	% Number of valid scans that are already done
SETUP.MRI.startScan	= mmap.Data(2);	% Time when the last valid scan occured
